- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# QPainterPath::Element Class Reference

Search for all occurrences

## Detailed Description

Definition at line 77 of file qpainterpath.h.

`#include <qpainterpath.h>`

List of all members.

## Public Member Functions
bool | isMoveTo () const
bool | isLineTo () const
bool | isCurveTo () const
| operator QPointF () const
bool | operator== (const Element &e) const
bool | operator!= (const Element &e) const
## Public Attributes
qreal | x
qreal | y
ElementType | type

## Member Function Documentation

bool isMoveTo | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 83 of file qpainterpath.h.

    { return type == MoveToElement; }

bool isLineTo | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 84 of file qpainterpath.h.

    { return type == LineToElement; }

bool isCurveTo | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 85 of file qpainterpath.h.

    { return type == CurveToElement; }

operator QPointF | ( |  | ) | const `[inline]`

Definition at line 87 of file qpainterpath.h.

    { return QPointF(x, y); }

bool operator== | ( | const Element & | e | ) | const `[inline]`

Definition at line 89 of file qpainterpath.h.

                                                    { return qFuzzyCompare(x, e.x)
                && qFuzzyCompare(y, e.y) && type == e.type; }

bool operator!= | ( | const Element & | e | ) | const `[inline]`

Definition at line 91 of file qpainterpath.h.

    { return !operator==(e); }

## Member Data Documentation

qreal x

Search for all occurrences

Definition at line 79 of file qpainterpath.h.

qreal y

Search for all occurrences

Definition at line 80 of file qpainterpath.h.

ElementType type

Search for all occurrences

Definition at line 81 of file qpainterpath.h.

The documentation for this class was generated from the following file:

- QtGui/qpainterpath.h

QPainterPath::Element QPainterPath::Element QPainterPath::Element QPainterPath::Element QPainterPath::Element QPainterPath::Element QPainterPath::Element QPainterPath::Element QPainterPath::Element QPainterPath::Element
QPainterPath::Element QPainterPath::Element QPainterPath::Element QPainterPath::Element QPainterPath::Element QPainterPath::Element QPainterPath::Element QPainterPath::Element QPainterPath::Element QPainterPath::Element